GET https://app.alaaqat.com/api/deals/{deal_id}/notes
حيث deal_id هو قيمة _id للصفقة. تعرض هذه النقطة ملاحظات الصفقة. يحتاج مفتاح واجهة التطبيق البرمجية إلى الإمكانية deal-note-index.
تقبل هذه النقطة معطيات الصفحات.
الإستجابة تكون دائماً بصيغة Pagination<DealNote>، راجع الصفحات لمزيد من التفاصيل. يمثّل user عضو الفريق الذي كتب الملاحظة.
{
"data": [
{
"_id": "6655e0f1a2b3c4d5e6f7a801",
"description": "The client asked for a quote that includes on-site training.",
"deal_id": "6651a0b1c2d3e4f5a6b7c801",
"made_by": 12,
"updated_at": "2026-10-21T09:12:00.000000Z",
"created_at": "2026-10-21T09:12:00.000000Z",
"user": {
"id": 12,
"email": "sara.haddad@example.com",
"firstname": "Sara",
"lastname": "Haddad",
"image": null,
"locale": "en",
"created_at": "2026-03-02T08:00:00.000000Z",
"updated_at": "2026-10-01T07:30:00.000000Z",
"fullname": "Sara Haddad"
}
}
],
"links": {
"first": "https://app.alaaqat.com/api/deals/6651a0b1c2d3e4f5a6b7c801/notes?page=1",
"last": "https://app.alaaqat.com/api/deals/6651a0b1c2d3e4f5a6b7c801/notes?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "https://app.alaaqat.com/api/deals/6651a0b1c2d3e4f5a6b7c801/notes?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"path": "https://app.alaaqat.com/api/deals/6651a0b1c2d3e4f5a6b7c801/notes",
"per_page": 15,
"to": 1,
"total": 1
}
}